/*
** $Header: /u/spert/src/spert-hdrs/RCS/stat.h,v 1.6 1995/10/23 22:22:24 davidj Exp $
**
** SPERT version of sys/stat.h definitions that are shared by the server
** and newlib
**
** davidj - Thu Oct 19 12:36:22 1995
*/

#ifndef __SYS_STAT_H
#define __SYS_STAT_H
#ifdef __cplusplus
extern "C" {
#endif

/* File mode flags - mode_t (for open and chmod) */

#define	S_IFMT 0170000	/* type of file mask */
#define S_IFSOCK 0140000
#define S_IFLNK 0120000
#define S_IFREG 0100000
#define S_IFBLK 0060000
#define S_IFDIR 0040000
#define S_IFCHR 0020000
#define S_IFIFO 0010000
#define	S_ISUID	04000
#define	S_ISGID	02000
#define	S_IRWXU	00700
#define	S_IRUSR	00400
#define	S_IWUSR	00200
#define	S_IXUSR	00100
#define	S_IRWXG	00070
#define	S_IRGRP	00040
#define	S_IWGRP	00020
#define	S_IXGRP	00010
#define	S_IRWXO	00007
#define	S_IROTH	00004
#define	S_IWOTH	00002
#define	S_IXOTH	00001
#define _MODE_T_BAD (0)

#define _S_NOT_IMP (~0x6fff)

#ifdef _LANGUAGE_C

#include <sys/types.h>

struct	stat {
	ino_t st_ino;
	dev_t st_dev;
	mode_t st_mode;
	short st_nlink;
	uid_t st_uid;
	gid_t st_gid;
	dev_t st_rdev;
	off_t st_size;
	time_t st_atime;
	time_t st_mtime;
	time_t st_ctime;
};

#endif /* #ifdef _LANGUAGE_C */


#ifdef __cplusplus
}
#endif
#endif
