/*
** $Header: /u/spert/src/spert-hdrs/RCS/syscall.h,v 1.10 1995/10/28 21:55:13 davidj Exp $
**
** SPERT version of sys/syscall.h definitions that are used by both the
** server and newlib
**
** davidj - Thu Oct 19 12:36:22 1995
*/

#ifndef __SYS_SYSCALL_H
#define __SYS_SYSCALL_H

#define SYS_base  1000        /* Lowest system call number */
#define SYS_call	  (0+SYS_base)

#define SYS_exit	(1+SYS_base)
#define SYS_fork	(2+SYS_base)
#define SYS_read	(3+SYS_base)
#define SYS_write	(4+SYS_base)
#define SYS_open	(5+SYS_base)
#define SYS_close	(6+SYS_base)
#define SYS_wait	(7+SYS_base)
#define SYS_creat	(8+SYS_base)
#define SYS_link	(9+SYS_base)
#define SYS_unlink	(10+SYS_base)
#define SYS_execv	(11+SYS_base)
#define SYS_chdir	(12+SYS_base)
#define SYS_time	(13+SYS_base)
#define SYS_mknod	(14+SYS_base)
#define SYS_chmod	(15+SYS_base)
#define SYS_chown	(16+SYS_base)
#define SYS_brk		(17+SYS_base)
#define SYS_stat	(18+SYS_base)
#define SYS_lseek	(19+SYS_base)
#define SYS_getpid	(20+SYS_base)
#define SYS_mount	(21+SYS_base)
#define SYS_umount	(22+SYS_base)
#define SYS_setuid	(23+SYS_base)
#define SYS_getuid	(24+SYS_base)
#define SYS_stime	(25+SYS_base)
#define SYS_ptrace	(26+SYS_base)
#define SYS_alarm	(27+SYS_base)
#define SYS_fstat	(28+SYS_base)
#define SYS_pause	(29+SYS_base)
#define SYS_utime	(30+SYS_base)
#define SYS_stty	(31+SYS_base)
#define SYS_gtty	(32+SYS_base)
#define SYS_access	(33+SYS_base)
#define SYS_nice	(34+SYS_base)
#define SYS_statfs	(35+SYS_base)
#define SYS_sync	(36+SYS_base)
#define SYS_kill	(37+SYS_base)
#define SYS_fstatfs	(38+SYS_base)
#define SYS_setpgrp	(39+SYS_base)
#define	SYS_sysspert	(40+SYS_base)
#define SYS_dup		(41+SYS_base)
#define SYS_pipe	(42+SYS_base)
#define SYS_times	(43+SYS_base)
#define SYS_profil	(44+SYS_base)
#define SYS_plock	(45+SYS_base)
#define SYS_setgid	(46+SYS_base)
#define SYS_getgid	(47+SYS_base)
#define SYS_signal	(48+SYS_base)
#define SYS_msgsys	(49+SYS_base)
#define SYS_acct	(51+SYS_base)
#define SYS_shmsys	(52+SYS_base)
#define SYS_semsys	(53+SYS_base)
#define SYS_ioctl	(54+SYS_base)
#define SYS_uadmin	(55+SYS_base)
#define SYS_sysmiscproc	(56+SYS_base)
#define SYS_utssys	(57+SYS_base)
#define SYS_execve	(59+SYS_base)
#define SYS_umask	(60+SYS_base)
#define SYS_chroot	(61+SYS_base)
#define SYS_fcntl	(62+SYS_base)
#define SYS_ulimit	(63+SYS_base)
#define SYS_advfs	(70+SYS_base)
#define SYS_unadvfs	(71+SYS_base)
#define SYS_rmount	(72+SYS_base)
#define SYS_rumount	(73+SYS_base)
#define SYS_rfstart	(74+SYS_base)
#define SYS_rdebug	(76+SYS_base)
#define SYS_rfstop	(77+SYS_base)
#define SYS_rfsys	(78+SYS_base)
#define SYS_rmdir	(79+SYS_base)
#define SYS_mkdir	(80+SYS_base)
#define SYS_getdents	(81+SYS_base)
#define SYS_sysfs	(84+SYS_base)
#define SYS_getmsg	(85+SYS_base)
#define SYS_putmsg	(86+SYS_base)
#define SYS_poll	(87+SYS_base)


#define SYS_accept	(89+SYS_base)
#define SYS_bind	(90+SYS_base)
#define SYS_connect	(91+SYS_base)
#define SYS_gethostid	(92+SYS_base)
#define SYS_getpeername	(93+SYS_base)
#define SYS_getsockname	(94+SYS_base)
#define SYS_getsockopt	(95+SYS_base)
#define SYS_listen	(96+SYS_base)
#define SYS_recv	(97+SYS_base)
#define SYS_recvfrom	(98+SYS_base)
#define SYS_recvmsg	(99+SYS_base)
#define SYS_select	(100+SYS_base)
#define SYS_send	(101+SYS_base)
#define SYS_sendmsg	(102+SYS_base)
#define SYS_sendto	(103+SYS_base)
#define SYS_sethostid	(104+SYS_base)
#define SYS_setsockopt	(105+SYS_base)
#define SYS_shutdown	(106+SYS_base)
#define SYS_socket	(107+SYS_base)
#define SYS_gethostname	(108+SYS_base)
#define SYS_sethostname	(109+SYS_base)
#define SYS_getdomainname (110+SYS_base)
#define SYS_setdomainname (111+SYS_base)

#define SYS_truncate	(112+SYS_base)
#define SYS_ftruncate	(113+SYS_base)
#define SYS_rename	(114+SYS_base)
#define	SYS_symlink	(115+SYS_base)
#define	SYS_readlink	(116+SYS_base)
#define	SYS_lstat	(117+SYS_base)
#define	SYS_nfsmount	(118+SYS_base)
#define	SYS_nfssvc	(119+SYS_base)
#define	SYS_getfh	(120+SYS_base)
#define	SYS_async_daemon (121+SYS_base)
#define	SYS_exportfs	(122+SYS_base)
#define SYS_setregid	(123+SYS_base)
#define SYS_setreuid	(124+SYS_base)
#define SYS_getitimer	(125+SYS_base)
#define SYS_setitimer	(126+SYS_base)
/* #define	SYS_adjtime	(127+SYS_base) */
#define	SYS_gettime	(128+SYS_base)

#define	SYS_sproc	(129+SYS_base)
#define	SYS_prctl	(130+SYS_base)
#define	SYS_procblk	(131+SYS_base)

/* #define	SYS_???	(132+SYS_base) */

#define	SYS_mmap	(134+SYS_base)
#define	SYS_munmap	(135+SYS_base)
#define	SYS_mprotect	(136+SYS_base)
#define	SYS_msync	(137+SYS_base)
#define	SYS_madvise	(138+SYS_base)
#define	SYS_pagelock	(139+SYS_base)
#define	SYS_getpagesize	(140+SYS_base)

#define SYS_quotactl	(141+SYS_base)

#define SYS_libdetach	(142+SYS_base)

#define SYS_bsdgetpgrp	(143+SYS_base)
#define SYS_bsdsetpgrp	(144+SYS_base)

#define SYS_vhangup	(145+SYS_base)
#define SYS_fsync	(146+SYS_base)
#define SYS_fchdir	(147+SYS_base)

#define SYS_getrlimit	(148+SYS_base)
#define SYS_setrlimit	(149+SYS_base)

#define SYS_cacheflush	(150+SYS_base)
#define SYS_cachectl	(151+SYS_base)

#define SYS_fchown	(152+SYS_base)
#define SYS_fchmod	(153+SYS_base)

#define SYS_wait3	(154+SYS_base)

#define SYS_socketpair	(155+SYS_base)

#define SYS_first_unused (156+SYS_base)


#endif
