/*
** $Header: /u/spert/src/torasm-hdrs/RCS/t0proc.h,v 1.23 1995/02/08 21:38:51 davidj Exp $
**
** T0 processor definitions
**
** davidj - Wed May 26 11:03:25 1993
*/

#ifndef T0PROC_H_INCLUDED
#define T0PROC_H_INCLUDED

/* Hardwired addresses */

#define RESET_ADDR 0x1000
#define EXCEPT_ADDR 0x1100
#define EXTINT0_ADDR 0x1200
#define EXTINT1_ADDR 0x1300

/* Coprocessor 0 registers and associated values */

#define CP0_FROMHOST $0
#define CP0_TOHOST $1
#define CP0_BADVADDR $8
#define CP0_COUNT $9
#define CP0_COMPARE $11
#define CP0_STATUS $12
#define CP0_CAUSE $13
#define CP0_EPC $14
#define CP0_VUEPC $2
#define CP0_VUBADVADDR $3

#define STATUS_IEC_START 0
#define STATUS_IEP_START 2
#define STATUS_IEO_START 4
#define STATUS_IEC (1<<STATUS_IEC_START)
#define STATUS_IEP (1<<STATUS_IEP_START)
#define STATUS_IEO (1<<STATUS_IEO_START)
#define STATUS_KUC_START 1
#define STATUS_KUP_START 3
#define STATUS_KUO_START 5
#define STATUS_KUC (1<<STATUS_KUC_START)
#define STATUS_KUP (1<<STATUS_KUP_START)
#define STATUS_KUO (1<<STATUS_KUO_START)
#define STATUS_IM_START 8
#define STATUS_IM (0xff << STATUS_IM_START)

#define STATUS_IM_3 (1 << (STATUS_IM_START+3))
#define STATUS_IM_4 (1 << (STATUS_IM_START+4))
#define STATUS_IM_5 (1 << (STATUS_IM_START+5))
#define STATUS_IM_6 (1 << (STATUS_IM_START+6))
#define STATUS_IM_7 (1 << (STATUS_IM_START+7))
#define STATUS_IM_EXTINT1 (STATUS_IM_3)
#define STATUS_IM_EXTINT0 (STATUS_IM_4)
#define STATUS_IM_VUI (STATUS_IM_5)
#define STATUS_IM_HOST (STATUS_IM_6)
#define STATUS_IM_TIMER (STATUS_IM_7)

#define STATUS_CU_START 28
#define STATUS_CU (0xf << STATUS_CU_START)
#define STATUS_CU_CP0 (1 << STATUS_CU_START)
#define STATUS_CU_VU (1 <<(STATUS_CU_START+2))

#define CAUSE_BD_START 31
#define CAUSE_BD (1<<CAUSE_BD_START)

#define CAUSE_IP_START 8
#define CAUSE_IP (0xff << CAUSE_IP_START)
#define CAUSE_IP_3 (1 << (CAUSE_IP_START+3))
#define CAUSE_IP_4 (1 << (CAUSE_IP_START+4))
#define CAUSE_IP_5 (1 << (CAUSE_IP_START+5))
#define CAUSE_IP_6 (1 << (CAUSE_IP_START+6))
#define CAUSE_IP_7 (1 << (CAUSE_IP_START+7))
#define CAUSE_IP_EXTINT1 (CAUSE_IP_3)
#define CAUSE_IP_EXTINT0 (CAUSE_IP_4)
#define CAUSE_IP_VUI (CAUSE_IP_5)
#define CAUSE_IP_HOST (CAUSE_IP_6)
#define CAUSE_IP_TIMER (CAUSE_IP_7)

#define CAUSE_CE_START 28
#define CAUSE_CE (0x03<<CAUSE_CE_START)
#define CAUSE_CE_FPU (1<<CAUSE_CE_START)
#define CAUSE_CE_VU (2<<CAUSE_CE_START)

/* Mask used to form a table address form the contents of the cause register */

#define CAUSE_EXCEP_START 2
#define CAUSE_EXCEP (0x1f << CAUSE_EXCEP_START)

/* The possible causes */

#define CAUSE_EXCEP_HINT 0
#define CAUSE_EXCEP_VINT 1
#define CAUSE_EXCEP_TINT 2
#define CAUSE_EXCEP_ADEL 4
#define CAUSE_EXCEP_ADES 5
#define CAUSE_EXCEP_ADEF 6
#define CAUSE_EXCEP_SYS 8
#define CAUSE_EXCEP_BP 9
#define CAUSE_EXCEP_RI 10
#define CAUSE_EXCEP_CP 11
#define CAUSE_EXCEP_OV 12
#define CAUSE_EXCEP_VU 18

/* Vector coprocessor registers */

#define CP2_VREV $0
#define CP2_VCOUNT $1
#define CP2_VLR $2
#define CP2_VCOND $4
#define CP2_VOVF $8
#define CP2_VSAT $12

#endif /* #ifndef T0PROC_H_INCLUDED */




