/*
** $Header: /u/spert/src/newlib/newlib/libc/sys/spert/sys/RCS/unistd.h,v 1.3 1995/10/24 02:17:40 davidj Exp $
**
** SPERT version of sys/unistd.h
**
** davidj - Fri Oct 20 12:45:38 1995
*/

#ifndef _SYS_UNISTD_H
#define _SYS_UNISTD_H
#ifdef __cplusplus
extern "C" {
#endif

#ifdef _LANGUAGE_C

#include <_ansi.h>
#include <sys/types.h>
/* Include definitions that are shared by server and newlib */
#include <sys/_spert_unistd.h>

/* Standard POSIX functions - unfortunately there are many missing! */

void	_EXFUN(_exit,(int _status ));
/*
int	_EXFUN(access,(const char *_path, int _amode ));
*/
int     _EXFUN(chdir, (const char *_path ));
/*
int     _EXFUN(chmod, (const char *_path, mode_t _mode ));
int     _EXFUN(chown, (const char *_path, uid_t _owner, gid_t _group ));
*/
int     _EXFUN(close, (int _fildes ));
/* The following two will never be implemented, but are needed to link
   the library */
int     _EXFUN(execve, (const char *_path, char * const _argv[], char * const _envp[] ));
pid_t   _EXFUN(fork, (void ));
char *  _EXFUN(getcwd, (char *_buf, size_t _size ));
/*
gid_t   _EXFUN(getgid, (void ));
*/
pid_t   _EXFUN(getpid, (void ));
int     _EXFUN(isatty, (int _fildes ));
int     _EXFUN(link, (const char *_path1, const char *_path2 ));
off_t   _EXFUN(lseek, (int _fildes, off_t _offset, int _whence ));
int     _EXFUN(read, (int _fildes, void *_buf, size_t _nbyte ));
/*
int     _EXFUN(rmdir, (char *_path ));
*/
void *  _EXFUN(sbrk,  (size_t incr));
unsigned _EXFUN(sleep, (unsigned int _seconds ));
int     _EXFUN(unlink, (const char *_path ));
int     _EXFUN(write, (int _fildes, const void *_buf, size_t _nbyte ));


/* Other system call headers - should they be here? */

int _EXFUN(getpagesize, (void));
int _EXFUN(gethostname, (char *_buf, int _len));
int _EXFUN(sysspert, (int _DOTS));

#endif /* _LANGUAGE_C */

#ifdef __cplusplus
}
#endif
#endif /* #ifndef _SYS_UNISTD_H */
